Author Topic: Customized entity type? How to achieve this?  (Read 900 times)

0 Members and 1 Guest are viewing this topic.

JohnSnow

  • Newt
  • Posts: 52
Customized entity type? How to achieve this?
« on: June 14, 2022, 01:38:50 AM »
I am using a standalone autocad plugin (using arx I guess?) developed by others. . It will then brings me to autocad environment as shown below.


It allows me add customized items and when I check the properties of these items, I can see there is new customized entity type. I believe this is not possible with lisp (I guess it is by .net). Anyway, does anyone have any idea how to achieve this?


Lee Mac

  • Seagull
  • Posts: 12913
  • London, England
Re: Customized entity type? How to achieve this?
« Reply #1 on: June 14, 2022, 08:48:46 AM »
This is not possible using the LISP API.

Jeff_M

  • King Gator
  • Posts: 4094
  • C3D user & customizer
Re: Customized entity type? How to achieve this?
« Reply #2 on: June 14, 2022, 09:29:31 AM »
Also not possible with .NET. Custom entities are created with ObjectARX and c++

BIGAL

  • Swamp Rat
  • Posts: 1409
  • 40 + years of using Autocad
Re: Customized entity type? How to achieve this?
« Reply #3 on: June 14, 2022, 08:30:54 PM »
It is like a proxy object in some cases can get at some of the details. But generally not exposed.

What does this reveal.

Code: [Select]
;;;===================================================================;
;;; DumpIt                                                            ;
;;;-------------------------------------------------------------------;
;;; Dump all methods and properties for selected objects              ;
;;;===================================================================;
(defun C:Dumpit ( / ent)
  (while (setq ent (entsel))
    (vlax-Dump-Object
      (vlax-Ename->Vla-Object (car ent))
    )
  )
  (princ)
)

A man who never made a mistake never made anything